summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/intltool/intltool-0.50.2/noperlcheck.patch
diff options
context:
space:
mode:
Diffstat (limited to 'meta/recipes-devtools/intltool/intltool-0.50.2/noperlcheck.patch')
-rw-r--r--meta/recipes-devtools/intltool/intltool-0.50.2/noperlcheck.patch40
1 files changed, 40 insertions, 0 deletions
diff --git a/meta/recipes-devtools/intltool/intltool-0.50.2/noperlcheck.patch b/meta/recipes-devtools/intltool/intltool-0.50.2/noperlcheck.patch
new file mode 100644
index 0000000..853ee1a
--- /dev/null
+++ b/meta/recipes-devtools/intltool/intltool-0.50.2/noperlcheck.patch
@@ -0,0 +1,40 @@
1In the target case, we can't check if perl exists or try running it. If we
2don't patch the code, the native perl location would be used, not the target
3which is also incorrect. We therefore disable this code and rely on the
4correct value of PERL being passed in.
5
6RP 31/8/2011
7
8Upstream-Status: Inappropriate [OE specific]
9
10diff --git a/configure.ac b/configure.ac
11index 5338a76..e709a2b 100644
12--- a/configure.ac
13+++ b/configure.ac
14@@ -11,24 +11,10 @@ AC_SUBST(pkgdatadir) dnl automake does not need this, but libtoolize does
15 aclocaldir='${datadir}'/aclocal
16 AC_SUBST(aclocaldir)
17
18-AC_PATH_PROG(PERL, perl)
19 if test -z "$PERL"; then
20- AC_MSG_ERROR([perl not found])
21-fi
22-AC_MSG_CHECKING([for perl >= 5.8.1])
23-$PERL -e "use 5.8.1;" > /dev/null 2>&1
24-if test $? -ne 0; then
25- AC_MSG_ERROR([perl 5.8.1 is required for intltool])
26-else
27- PERL_VERSION="`$PERL -e \"printf '%vd', $^V\"`"
28- AC_MSG_RESULT([$PERL_VERSION])
29-fi
30-AC_MSG_CHECKING([for XML::Parser])
31-if `$PERL -e "require XML::Parser" 2>/dev/null`; then
32- AC_MSG_RESULT([ok])
33-else
34- AC_MSG_ERROR([XML::Parser perl module is required for intltool])
35+ AC_MSG_ERROR([PERL variable not set])
36 fi
37+AC_SUBST(PERL)
38 AC_PATH_PROG(BZR, bzr)
39
40